Subject: bug#11722: 24.1; cannot set-frame-font to a fontset

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Nov 2019 17:31:26 +0100

Jae-hyeon Park <[email-masked]> writes:

> 1) start emacs with:
>
>     $ emacs -Q
>
> 2) define a fontset by evaluating in the scratch buffer:
>
>     (create-fontset-from-ascii-font
>      "-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso8859-1" nil "test")
>     (set-fontset-font "fontset-test" 'korean-ksc5601
>      "-daewoo-gothic-medium-r-normal--16-120-100-100-c-160-ksc5601.1987-0")
>
> 3) write some Korean letters in the scratch buffer, whose font will be
>    set in the next steps
>
>     ;; 쫄지마
>
> 4) set and check the frame font with:
>
>     (set-frame-parameter nil 'font "fontset-test")
>          => nil
>     (frame-parameter nil 'font)
>          => "-Misc-Fixed-normal-normal-normal-*-14-*-*-*-c-70-iso10646-1"
>     (frame-parameter nil 'font-parameter)
>          => "fontset-test"
>
> 5) alternatively, set and check the frame font with:
>
>     (set-frame-font "fontset-test")
>          => nil
>     (frame-parameter nil 'font)
>          => "-Misc-Fixed-normal-normal-normal-*-14-*-*-*-c-70-iso10646-1"
>     (frame-parameter nil 'font-parameter)
>          => "-misc-fixed-medium-r-normal--14-*-75-75-c-70-iso8859-1"
>
> In emacs 23.3.1, both methods 4) and 5) work, and the "font-parameter"
> frame-parameter is set to the same value by both methods.  In emacs
> 24.1, method 5) does not select the specified Korean font, and the
> font-parameter has different values in 4) and 5).  One can notice that
> the Korean characters look different after evaluating the first lines in
> 4) and 5).

I'm not quite sure what I'm looking for here, but the first step in 4)
and 5) produced Korean text that looks identical to me.

However, (frame-parameter nil 'font-parameter) does return nil for me in
5), so I guess there's still a bug here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no